Subject: Re: bug#51037: [PATCH] Make `print-level` & `print-length` customizable in ERT batch tests

From: Filipp Gunbin <[email-masked]>
Date: Sun, 21 Nov 2021 01:19:28 +0300

On 20/11/2021 08:49 -0800, Michael wrote:

>> On 19/11/2021 07:24 -0800, Michael wrote:
>>
>>> Lars Ingebrigtsen <[email-masked]> writes:
>>>
>>>> Filipp Gunbin <[email-masked]> writes:
>>>>
>>>>> The docstring for backtrace-line-length says: "If set to nil
>>>>> or
>>>>> zero,
>>>>> backtrace mode will not abbreviate the forms it prints."  So
>>>>> the
>>>>> above
>>>>> sentence, which I removed, was indeed not true?  (a quick
>>>>> look over
>>>>> its usages confirmed that to me, but I'd like someone else to
>>>>> check)
>>>>
>>>> I think the intention is that a nil value of
>>>> backtrace-line-length
>>>> shouldn't limit the lengths -- but I haven't tested it.
>>>> Doesn't it
>>>> work?
>>>
>>> Yes, I'm a bit lost, Filipp... what is your concern? And I
>>> thought I *had* tested that.
>>
>> That the docstring contained a sentence which is not true.  A
>> minor
>> issue, of course.  I give examples here:
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51037#117
>>
>> (there was also fix of interactive spec of
>> `ert-run-tests-interactively',
>> but that's obvious I think)
>>
> Hey Filipp,
>
> Note that _is_ true, as far as I know, and was intended to be
> true before my patch, and I verified that it became true with my
> patch :) Can you provide a test case that demonstrates it to be
> not true?

Yes, here https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51037#117, as I
wrote above..